Update tag group

PUT /api/v1/tag-groups/{tag_group_id}

Update an existing tag group

Operation ID: update_tag_group_api_v1_tag_groups__tag_group_id__put · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Parameters

Path

tag_group_id string required

Request body

name string

Name of the tag group

description string

Description of the tag group

Responses

200 Successful Response

name string required

Name of the tag group

description string

Description of the tag group

id string required

Unique identifier for the tag group

tag_count integer

Number of tags in this group

created_at string · date-time required

Timestamp when the tag group was created

updated_at string · date-time required

Timestamp when the tag group was last updated

400 Bad Request - Invalid input

401 Unauthorized - Authentication required

403 Forbidden - Insufficient permissions

404 Not Found - Resource does not exist

422 Validation Error

detail array · ValidationError ValidationError
5 fields
loc array · string | integer required
msg string required
type string required
input object
ctx object